## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:		reprepro
Version:	5.4.5
Release:	%autorelease
Summary:	Debian package repository producer

License:	GPL-2.0-only AND GPL-2.0-or-later AND LicenseRef-Fedora-Public-Domain
URL:		https://salsa.debian.org/debian/reprepro
Source0:	http://deb.debian.org/debian/pool/main/r/reprepro/reprepro_%{version}.orig.tar.xz

BuildRequires:	automake gcc make gpgme-devel libdb-devel zlib-devel bzip2-devel xz-devel libarchive-devel shunit2 dash libdb-utils dpkg-dev apt
Requires:	zstd

%description
reprepro is a tool to manage a repository of Debian packages (.deb, .udeb, .dsc,
...). It stores files either being injected manually or downloaded from some
other repository (partially) mirrored into one pool/ hierarchy.  Managed
packages and files are stored in a Berkeley DB, so no database server is needed.
Checking signatures of mirrored repositories and creating signatures of the
generated Package indices is supported.

This package also contains the changestool and rredtool helpers.


%prep
%autosetup
sed -i \
	-e 's:\. shunit2:. /usr/share/shunit2/shunit2:' \
	-e 's:/bin/sh:/bin/dash:' \
	tests/*.{sh,test}

sed -i -e 's:/usr/lib/apt/methods:/usr/libexec/apt/methods:g' \
	main.c docs/short-howto docs/manual.html docs/reprepro.1


%build
sh -x ./autogen.sh
%configure --with-libbz2 --with-liblzma --with-libgpgme --with-libarchive
%make_build


%install
%make_install
install -D -m 644 docs/reprepro.bash_completion %{buildroot}%{bash_completions_dir}/%{name}
install -D -m 644 docs/reprepro.zsh_completion %{buildroot}%{zsh_completions_dir}/_%{name}


%check
make check


%files
%license COPYING
%doc ChangeLog NEWS README TODO docs/FAQ docs/recovery docs/short-howto docs/manual.html
%{_bindir}/changestool
%{_bindir}/reprepro
%{_bindir}/rredtool
%{_mandir}/man1/changestool.1*
%{_mandir}/man1/reprepro.1*
%{_mandir}/man1/rredtool.1*
%{bash_completions_dir}/%{name}
%{zsh_completions_dir}/_%{name}


%changelog
## START: Generated by rpmautospec
* Sat Sep 21 2024 John Doe <packager@example.com> - 5.4.5-1
- Uncommitted changes
## END: Generated by rpmautospec
